%define gcj_support     0

Summary:          Eclipse Git plug-in
Name:             eclipse-egit
Version:          0.3.1
Release:          %mkrel 0.2.1
License:          EPL GPLv2 LGPLv2
URL:              http://repo.or.cz/w/egit.git
Group:            Development/Java

# retrieved from http://repo.or.cz/w/egit.git?a=snapshot;h=31185033bceae1c77b0f6a4182dea3fc56f882ba;sf=tgz
Source0:          egit-3cd4f3f9119b79750bbfc542119451a668c462e3.tar.gz
Requires:         eclipse-platform >= 1:3.2.1
Requires:         git-core
%if %{gcj_support}
BuildRequires:    java-1.5.0-gcj-devel
%else
BuildRequires:    java-devel >= 1.6.0
%endif

BuildRequires:    eclipse-pde
BuildRequires:    java-rpmbuild >= 0:1.5
BuildRequires:    zip
%if %{gcj_support}
%else
BuildArch:        noarch
%endif
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The eclipse-egit package contains Eclipse plugins for
interacting with Git repositories.

%prep
%setup -q -c 

%build
%{_libdir}/eclipse/buildscripts/pdebuild \
   -a "-DjavacSource=1.5 -DjavacTarget=1.5"

%install
rm -rf $RPM_BUILD_ROOT
installDir=$RPM_BUILD_ROOT/%{_datadir}/eclipse/dropins/egit
install -d -m755 $installDir

# egit main feature
unzip -q -d $installDir/ \
            build/rpmBuild/org.spearce.egit.zip
%{gcj_compile}

%clean 
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(0644,root,root,0755)
%{_datadir}/eclipse/dropins/egit
%gcj_files


%changelog
* Mon Sep 29 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0.3.1-0.2.1mdv2009.0
+ Revision: 289122
- use pdebuild \n move to dropins

* Thu Mar 06 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0.3.1-0.0.1mdv2008.1
+ Revision: 180323
- add zip BR
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Thu Oct 18 2007 David Walluck <walluck@mandriva.org> 0.3.0-0.2.1mdv2008.1
+ Revision: 100031
- 0.3.0

* Fri Sep 21 2007 David Walluck <walluck@mandriva.org> 0.2.99-0.git20070919.0.0.1mdv2008.0
+ Revision: 92013
- import eclipse-egit


* Wed Sep 19 2007 Ben Konrath <bkonrath@redhat.com> 0.2.99-0.git20070919.fc8
- 0.2.99 git20070919

* Mon Sep 17 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-2.git20070911.fc8
- Update add feature and plugin patch.

* Mon Sep 17 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-1.git20070911.fc8
- Require eclipse-platform >= 3.2.1 

* Fri Sep 14 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-0.git20070911.fc8
- Update to git20070911.
- Update feature and accosicated branding plugin.

* Wed Aug 29 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-0.git20070826.fc8
- Initial version
